/*
 * Copyright (c) 2024 Eclipse Foundation, Inc.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 */

.project-summary,
.featured-project-summary {
  .label {
    color: @white;
  }

  &-heading {
    .h4;
    .fw-600;
    overflow: hidden;
    max-width: 50ch;
    margin: 0;
    white-space: nowrap;
    text-overflow: ellipsis;
  }

  &-heading-wrapper {
    display: flex;
  }

  &-heading-link {
    display: inline-block;
    margin-right: 1rem;
  }

	.hr-border-dotted {
		margin: 30px 25px;	
		clear: both;
		border: 2px dashed rgba(0,0,0,.1);
	}

	.project-teaser {
		.project-teaser-description {
			border-right: 1px solid rgba(0,0,0,.1);
			padding-right: 15px;
			margin-top: 7px;
		}
	
		ul.list-inline {
		    display: inline;
		}
		
		h2 {
		    font-weight: 900;
		    display: inline;
		    margin-right: 6px;
		    font-size: 18px;
		}
	}
}


.project-list-sidebar {
	& {
		margin-bottom: 30px;
	}
	
	.sidebar-panel {
		border: 1px solid #dfdfdf;
		background-color: #fff;
		padding: 15px;
	}
	
	.logo-panel {
		margin-top: 30px;
		margin-bottom: 30px;
		padding: 30px 10px;
	}
	
	.tag-panel {
		position: relative;
	}
	
	.tag-panel .block-solstice-collapse-angle {
		position: absolute;
		top: 42px;
		right: 15px;
		color: #404040;
		font-size: 18px;
	}
}
